import delimited "SimulatedData.csv", clear

egen fid = group(id d)
xtile year = time, nq(16)
collapse (mean) n y w qrate, by(year fid)
xtset fid year

foreach v in n y w {
	gen log`v'=log(`v')
}
gen dlogn  = F.logn-logn
gen d2logn  = F2.logn-logn
gen d3logn  = F3.logn-logn
gen d4logn  = F4.logn-logn
gen d5logn  = F5.logn-logn

mat def betan = 0
reghdfe dlogn logw, absorb(year fid)
mat betan = betan, _b[logw]
reghdfe d2logn logw, absorb(year fid)
mat betan = betan, _b[logw]
reghdfe d3logn logw, absorb(year fid)
mat betan = betan, _b[logw]
reghdfe d4logn logw, absorb(year fid)
mat betan = betan, _b[logw]
reghdfe d5logn logw, absorb(year fid)
mat betan = betan, _b[logw]

reghdfe logw logy, absorb(year fid)
mat def betaw = _b[logy]
reghdfe F.logw logy, absorb(year fid)
mat betaw = betaw, _b[logy]
reghdfe F2.logw logy, absorb(year fid)
mat betaw = betaw, _b[logy]
reghdfe F3.logw logy, absorb(year fid)
mat betaw = betaw, _b[logy]
reghdfe F4.logw logy, absorb(year fid)
mat betaw = betaw, _b[logy]
reghdfe F5.logw logy, absorb(year fid)
mat betaw = betaw, _b[logy]

reghdfe logy logy, absorb(year fid)
mat def betay = _b[logy]
reghdfe F.logy logy, absorb(year fid)
mat betay = betay, _b[logy]
reghdfe F2.logy logy, absorb(year fid)
mat betay = betay, _b[logy]
reghdfe F3.logy logy, absorb(year fid)
mat betay = betay, _b[logy]
reghdfe F4.logy logy, absorb(year fid)
mat betay = betay, _b[logy]
reghdfe F5.logy logy, absorb(year fid)
mat betay = betay, _b[logy]

matrix def horizon = (0,1,2,3,4,5)

matrix def X = (horizon',betan',betaw',betay')
svmat double X
keep X*
rename X1 horizon
rename X2 betan
rename X3 betaw
rename X4 betay
keep if horizon<=5

outsheet horizon betan betaw betay using "simulatedMoments.csv", comma replace