clear
set more off, perm
import excel "..\Data\Cross country\Raw data\cc.xlsx", sheet("Sheet1") firstrow clear

egen panelid = group(country industry), label
egen cc = group(country), label
egen indst = group(industry), label
sort year country indst
xtset panelid year

foreach v in LP LS {
	qui gen `v'_d5 = F5.`v' - `v' if year == 2001 | year == 2006
	qui gen `v'_d10 = F10.`v' - `v' if year == 2001
}

log using "..\Data\Cross country\CCreg.log", replace
reg LS LP i.year i.indst, robust
reg LS LP i.year i.indst i.cc, robust
reg LS_d5 LP_d5 i.indst, robust
reg LS_d10 LP_d10 i.indst, robust
log close


keep year country industry LP LS LP_d10 LS_d10
keep if year==2001
export delimited using "..\Data\Cross country\crossCountry.csv", replace

