function [lsAggCm lsAvgCm opCovCm yShareDecCm nShareDecCm lsDecCm lp9010Cm yCm uCm] = getCmModelOutput(zGrid0,Nz0,lambda,chi,mu,eta,Gamma0zbar,delta,distributionType)
global r R alpha
% 
% Solve baseline model
% [zbar wbar zGrid vGrid wGrid] = getEQ(zGrid0,Nz0,lambda,chi,mu,eta,b,delta,distributionType);
% [lsAgg lsAvg opCov u JDC JDD JCC JCB JC JD JR JRC JRBD rho lp9590 lp9050 lp5010 lp9010] = getModelOutputAgg(lambda,chi,mu,eta,b,delta,zbar,zGrid,vGrid,wGrid,distributionType);
% 
% % Rates
% % zGrid = zGrid0(zGrid0>=zbar);
% chiX = chi*Gamma0zbar;
% chiS = chi*(1-Gamma0zbar);
% muE = mu*(1-Gamma0zbar);
% u = getUnemp(lambda,chiX,muE,delta);
% 
% Evaluate functions over grid
% PGrid = getPcdf(zGrid,zbar,lambda,chi,mu,eta,b,delta,u,distributionType);
% pGrid = getPpdf(zGrid,zbar,lambda,chi,mu,eta,b,delta,u,distributionType);
% gammaGrid = getGammapdf(zGrid,eta,zbar,distributionType);
% pGridInt = [ 0.5*(zGrid(2)-zGrid(1))*pGrid(1) 0.5*(zGrid(3:end)-zGrid(1:end-2)).*pGrid(2:end-1) 0.5*(zGrid(end)-zGrid(end-1))*pGrid(end) ];
% gammaGridInt = [ 0.5*(zGrid(2)-zGrid(1))*gammaGrid(1) 0.5*(zGrid(3:end)-zGrid(1:end-2)).*gammaGrid(2:end-1) 0.5*(zGrid(end)-zGrid(end-1))*gammaGrid(end) ];
% gGrid = lambda*u + lambda*(1-u)*PGrid - lambda*(1-u)*(1-PGrid)-delta;
% cons = (alpha/R)^(1/(1-alpha));
% lpGrid = (cons^alpha)*zGrid.^(1/(1-alpha));
% 
% % Coles-Mortensen objects
% vGridCm = vGrid + chiS/(r+chiX-gGrid(1))*(gammaGridInt*vGrid');
% wGridCm = (1-alpha)*lpGrid(1) + (chiS/(r+chiX-gGrid(1))*(gammaGridInt*vGrid')).*(gGrid-gGrid(1)) + wGrid-wGrid(1);
% lsGridCm = wGridCm./lpGrid;

% Compute exogenous objects
zbar = getGammaquant(Gamma0zbar,eta,0,distributionType);
zGrid = zGrid0(zGrid0>=zbar);
chiX = chi*Gamma0zbar;
chiS = chi*(1-Gamma0zbar);
muE = mu*(1-Gamma0zbar);
u = getUnemp(lambda,chiX,muE,delta);
PGrid = getPcdf(zGrid,zbar,lambda,chi,mu,eta,0,delta,u,distributionType);
pGrid = getPpdf(zGrid,zbar,lambda,chi,mu,eta,0,delta,u,distributionType);
gammaGrid = getGammapdf(zGrid,eta,zbar,distributionType);
gammaGridInt = [ 0.5*(zGrid(2)-zGrid(1))*gammaGrid(1) 0.5*(zGrid(3:end)-zGrid(1:end-2)).*gammaGrid(2:end-1) 0.5*(zGrid(end)-zGrid(end-1))*gammaGrid(end) ];

gGrid = lambda*u + lambda*(1-u)*PGrid - lambda*(1-u)*(1-PGrid)-delta;
gGridDiff = 2*lambda*(1-u)*pGrid;
cons = (alpha/R)^(1/(1-alpha));
lpGrid = (cons^alpha)*zGrid.^(1/(1-alpha));

% Compute endogenous objects
vDiffGrid = (lpGrid./zGrid)./(r+chi-gGrid);
vGridMinus = zeros(1,length(zGrid));
wGridCm = zeros(1,length(zGrid));
wGridCm(1) = (1-alpha)*lpGrid(1);

for i=2:length(zGrid)
    vGridMinus(i) = trapz(zGrid(1:i),vDiffGrid(1:i));
end

for i=2:length(zGrid)
    wGridCm(i) = (1-alpha)*lpGrid(1) + (gGrid(i)-gGrid(1))*(chiS/(r+chiX-gGrid(1)))*trapz(zGrid,vGridMinus.*gammaGrid) + trapz(zGrid(1:i),gGridDiff(1:i).*vGridMinus(1:i));
end

vGridCm = (chiS/(r+chiX-gGrid(1)))*trapz(zGrid,vGridMinus.*gammaGrid) + vGridMinus;
lsGridCm = wGridCm./lpGrid;

% Aggregates
yCm = (1-u)*trapz(zGrid,lpGrid.*pGrid);
uCm = u;
lsAggCm = trapz(zGrid,wGridCm.*pGrid)/trapz(zGrid,lpGrid.*pGrid);
lsAvgCm = trapz(zGrid,lsGridCm.*gammaGrid);
opCovCm = lsAggCm-lsAvgCm;

% Job flows
P0 = ( lambda*(1-u)+delta-lambda*u )/(2*lambda*(1-u));
JDC = exp(-P0*(lambda*u-lambda*(1-u)-delta) - lambda*(1-u)*P0^2)-1;
JCC = exp((1-P0)*(lambda*u-lambda*(1-u)-delta) + lambda*(1-u)*(1-P0^2))-1;
JDD = exp(chiX)-1;
JCB = exp(u*muE/(1-u))-1;
JD = JDC+JDD;
JC = JCC+JCB;
JR = (JC+JD)/2;
JRC = (JCC+JDC)/2;
JRBD = (JCB+JDD)/2;

% Productivity thresholds
qReq = [0 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1];
zThresh = getGammaquant(qReq,eta,zbar,distributionType);
zThresh(1)=zGrid(1);
zThresh(end)=zGrid(end);

% Productivity dispersion
lpQ = (cons^alpha)*zThresh.^(1/(1-alpha));
lp9010Cm = log(lpQ(10)/lpQ(2));

% Initialize vectors
lpDec = zeros(10,1);
wDec = zeros(10,1);
nShareDec = zeros(10,1);

% Productivity thresholds
qReq = [0 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1];
zThresh = getGammaquant(qReq,eta,zbar,distributionType);
zThresh(1)=zGrid(1);
zThresh(end)=zGrid(end);

% Initialize vectors
gDec = zeros(10,1);
lpDec = zeros(10,1);
wDec = zeros(10,1);
nShareDec = zeros(10,1);

% Compute statistics by decile
NzDec = 200;
for d=1:10
    zGridDec = linspace(zThresh(d),zThresh(d+1),NzDec);
    
    gammaGridDec = getGammapdf(zGridDec,eta,zbar,distributionType);
    gammaIntDec = [ 0.5*(zGridDec(2)-zGridDec(1))*gammaGridDec(1) 0.5*(zGridDec(3:end)-zGridDec(1:end-2)).*gammaGridDec(2:end-1) 0.5*(zGridDec(end)-zGridDec(end-1))*gammaGridDec(end) ];
    gammaIntDec = gammaIntDec/sum(gammaIntDec);
    pGridDec = getPpdf(zGridDec,zbar,lambda,chi,mu,eta,0,delta,u,distributionType);
    pIntDec = [ 0.5*(zGridDec(2)-zGridDec(1))*pGridDec(1) 0.5*(zGridDec(3:end)-zGridDec(1:end-2)).*pGridDec(2:end-1) 0.5*(zGridDec(end)-zGridDec(end-1))*pGridDec(end) ];
    pIntDec = pIntDec/sum(pIntDec);
    
    lpGridDec = (cons^alpha)*zGridDec.^(1/(1-alpha))';
    kGridDec = cons*zGridDec.^(1/(1-alpha))';
    gGridDec = interp1(zGrid,gGrid,zGridDec)';
    wGridDec = interp1(zGrid,wGridCm,zGridDec)';
    
    gDec(d) = pIntDec*gGridDec;
    lpDec(d) = pIntDec*lpGridDec;
    wDec(d) = pIntDec*wGridDec;
    nShareDec(d) = getPcdf(zThresh(d+1),zbar,lambda,chi,mu,eta,0,delta,u,distributionType)-getPcdf(zThresh(d),zbar,lambda,chi,mu,eta,0,delta,u,distributionType);
end

yShareDecCm = (nShareDec.*lpDec)/sum(nShareDec.*lpDec);
nShareDecCm = nShareDec;
wRelDecCm = wDec./sum(wDec.*nShareDec);
wRelLpDecCm = wDec./sum(lpDec.*nShareDec);
lpRelDecCm = lpDec./sum(lpDec.*nShareDec);
lsDecCm = wDec./lpDec;

end
