function cdf = getGammacdf(z,eta,zbar,distributionType)
% compute cdf of truncated productivity distribution

if isequal(distributionType,1)
    cdf = (z >= zbar).*( (gamcdf(z,eta,1/eta)-gamcdf(zbar,eta,1/eta))./(1-gamcdf(zbar,eta,1/eta)) );
elseif isequal(distributionType,2)
    zbar=max(zbar,1-1/eta);
    %cdf = (z >= zbar).*(1-(z/zbar).^(-eta));
    cdf = (z >= zbar).*( (1-(z/(1-1/eta)).^(-eta)-(1-(zbar/(1-1/eta)).^(-eta)))./(1-(1-(zbar/(1-1/eta)).^(-eta))) );
end
cdf(isnan(cdf))=0;

% Lognormal
%cdf = (z >= zbar).*( (lognpdf(z,-0.5*eta^2,eta)-lognpdf(zbar,-0.5*eta^2,eta))./(1-lognpdf(zbar,-0.5*eta^2,eta) ));


end

