function pdf = getGammapdf(z,eta,zbar,distributionType)
% compute pdf of truncated productivity distribution

if isequal(distributionType,1)
    pdf = (z >= zbar).*( gampdf(z,eta,1/eta)./(1-gamcdf(zbar,eta,1/eta)) );
elseif isequal(distributionType,2)
    zbar=max(zbar,1-1/eta);
    % pdf = eta*((zbar)^(eta)).*(z >= zbar).*z.^(-(1+eta));
    pdf = (z >= zbar).*( (eta*((1-1/eta)^(eta))*z.^(-(1+eta)))./(1-(1-(zbar/(1-1/eta)).^(-eta))) );
end
pdf(isnan(pdf))=0;

% Lognormal
%pdf = (z >= zbar).*(lognpdf(z,-0.5*eta^2,eta)./(1-logncdf(zbar,-0.5*eta^2,eta)) );

end

