function zGrid = getGrid(midPoint,gridRatio,zMax,Nz,type,distributionType)
% compute affine-exponential grid

aParam = 0;
%if distributionType==2
%    aParam=1;
%end

bParam = zMax;
cParam = midPoint; % typical point
sParam = (cParam^2-aParam*bParam)/(aParam + bParam - 2*cParam);
temp = linspace(log(aParam+sParam),log(bParam+sParam),Nz);
if type==0
    zGrid= linspace(aParam,bParam,Nz);
    Nz = length(zGrid);
elseif type==1
    zGrid= exp(linspace(log(aParam+cParam/1000),log(bParam+cParam/1000),Nz))-cParam/1000;
    Nz = length(zGrid);
elseif type==2
    zGrid = exp(temp) - sParam;
    zMed = floor(gridRatio*Nz);
    zGrid(1:zMed) = linspace(aParam,zGrid(zMed),zMed); % replace bottom half by even-space grid
    Nz = length(zGrid);
end

end

