function [nShareDecEV yShareDecEV wRelDecEV lpRelDecEV lsDecEV] = getModelOutputByDecileEV(chiEV,muEV,etaEV,bEV,deltaEV,thetaEV,lambdaBarEV,zbarEV,zGridEV,vGridEV,wGridEV,uEV,pGridEV,PGridEV,lpGridEV,distributionType)
global r R alpha

% Rates
Gamma0zbarEV = getGammacdf(zbarEV,etaEV,0,distributionType);
chiXEV = chiEV*Gamma0zbarEV;
chiSEV = chiEV*(1-Gamma0zbarEV);
muEEV = muEV*(1-Gamma0zbarEV);

% Evaluate functions over grid
gammaGridEV = getGammapdf(zGridEV,etaEV,zbarEV,distributionType);
lsGridEV = wGridEV./lpGridEV;

% Productivity thresholds
qReq = [0 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1];
zThreshEV = getGammaquant(qReq,etaEV,zbarEV,distributionType);
zThreshEV(1)=zGridEV(1);
zThreshEV(end)=zGridEV(end);

% Initialize vectors
gDecEV = zeros(10,1);
lpDecEV = zeros(10,1);
wDecEV = zeros(10,1);
nShareDecEV = zeros(10,1);

% Compute statistics by decile
NzDecEV = 200;
for d=1:10
    zGridDecEV = linspace(zThreshEV(d),zThreshEV(d+1),NzDecEV);
    
    pGridDecEV = interp1(zGridEV,pGridEV,zGridDecEV)';
    lpGridDecEV = interp1(zGridEV,lpGridEV,zGridDecEV)';
    wGridDecEV = interp1(zGridEV,wGridEV,zGridDecEV)';
    
    nShareDecEV(d) = trapz(zGridDecEV',pGridDecEV);
    lpDecEV(d) = trapz(zGridDecEV',pGridDecEV.*lpGridDecEV);
    wDecEV(d) = trapz(zGridDecEV',pGridDecEV.*wGridDecEV);
end

nShareDecEV = nShareDecEV/sum(nShareDecEV);
yShareDecEV = (nShareDecEV.*lpDecEV)/sum(nShareDecEV.*lpDecEV);
lsDecEV = wDecEV./lpDecEV;
wRelDecEV = wDecEV/sum(wDecEV.*nShareDecEV);
lpRelDecEV =lpDecEV/sum(lpDecEV.*nShareDecEV);
lsDecEV'*yShareDecEV;

end

