function [wMean passthroughOLS wageElastQuits lsQuint yShareQuint nShareQuint lpQuint gammaGrid gammaGridInt pGridInt gamma0Grid pGrid gGrid lpGrid lsGrid varlogw varlogy covlogwlogy varlogwEmp logw_p5010 logw_p9050 logw_p9990] = getModelOutputMisc(lambda,chi,mu,eta,b,delta,zbar,zGrid,vGrid,wGrid,distributionType)
global r R alpha zGrid0

% Rates
Gamma0zbar = getGammacdf(zbar,eta,0,distributionType);
chiX = chi*Gamma0zbar;
chiS = chi*(1-Gamma0zbar);
muE = mu*(1-Gamma0zbar);
u = getUnemp(lambda,chiX,muE,delta);

% Evaluate functions over grid
PGrid = getPcdf(zGrid,zbar,lambda,chi,mu,eta,b,delta,u,distributionType);
pGrid = getPpdf(zGrid,zbar,lambda,chi,mu,eta,b,delta,u,distributionType);
gammaGrid = getGammapdf(zGrid,eta,zbar,distributionType);
gamma0Grid = getGammapdf(zGrid0,eta,0,distributionType);
pGridInt = [ 0.5*(zGrid(2)-zGrid(1))*pGrid(1) 0.5*(zGrid(3:end)-zGrid(1:end-2)).*pGrid(2:end-1) 0.5*(zGrid(end)-zGrid(end-1))*pGrid(end) ];
gammaGridInt = [ 0.5*(zGrid(2)-zGrid(1))*gammaGrid(1) 0.5*(zGrid(3:end)-zGrid(1:end-2)).*gammaGrid(2:end-1) 0.5*(zGrid(end)-zGrid(end-1))*gammaGrid(end) ];

gGrid = lambda*u + lambda*(1-u)*PGrid - lambda*(1-u)*(1-PGrid)-delta;
hiresGrid = lambda*u + lambda*(1-u)*PGrid;
separationsGrid = lambda*(1-u)*(1-PGrid)+delta;
layoffsGrid = delta*PGrid.^0;
quitsGrid = ( lambda*(1-u)*(1-PGrid)+delta );

cons = (alpha/R)^(1/(1-alpha));
lpGrid = (cons^alpha)*zGrid.^(1/(1-alpha));
lsGrid = wGrid./lpGrid;
kGrid = cons*zGrid.^(1/(1-alpha));

% Mean-min
wMean = (wGrid*pGridInt');
lpMean = (lpGrid*pGridInt');

% Wage elasticity of separations
logwGrid = log(wGrid);
logQuitsGrid = log(1-exp(-quitsGrid));
meanlogw = logwGrid*pGridInt';
meanlogQuits = logQuitsGrid*pGridInt';
% meanQuits = quitsGrid*pGridInt';
varlogw = (logwGrid - meanlogw).^2*pGridInt';
covlogwQuits = ((logwGrid-meanlogw).*(logQuitsGrid- meanlogQuits))*pGridInt';
% wageElastQuits = (covlogwQuits/varlogw)/meanQuits;
wageElastQuits = (covlogwQuits/varlogw);

% OLS pass-through elasticity (logs)
logwGrid = log(wGrid);
loglpGrid = log(lpGrid);
meanlogw = logwGrid*pGridInt';
meanloglp = loglpGrid*pGridInt';
varlogw = (logwGrid - meanlogw).^2*pGridInt';
varlogy = (loglpGrid- meanloglp).^2*pGridInt';
covlogwlogy = ((logwGrid-meanlogw).*(loglpGrid-meanloglp))*pGridInt';
passthroughOLS = covlogwlogy/varlogy;
varlogwEmp = varlogw;

% OLS pass-through elasticity (levels)
% meanw = wGrid*pGridInt';
% meanlp = lpGrid*pGridInt';
% varw = (logwGrid - meanw).^2*pGridInt';
% vary = (lpGrid- meanlp).^2*pGridInt';
% covwy = ((wGrid-meanw).*(lpGrid-meanlp))*pGridInt';
% passthroughOLS = (covwy/vary)*(meanlp/meanw);

% Wage percentiles
pReq = [0.1 0.5 0.9 0.99];
if distributionType==1
    logwPerc = interpn(PGrid,logwGrid,pReq);
elseif distributionType==2
        logwPerc = interpn(PGrid+(1:length(zGrid))*1e-32,logwGrid,pReq);
end

logw_p5010 = logwPerc(2)-logwPerc(1);
logw_p9050 = logwPerc(3)-logwPerc(2);
logw_p9990 = logwPerc(4)-logwPerc(3);

% variance-covariance matrix
meanlogw = logwGrid*gammaGridInt';
meanloglp = loglpGrid*gammaGridInt';
varlogw = (logwGrid - meanlogw).^2*gammaGridInt';
varlogy = (loglpGrid- meanloglp).^2*gammaGridInt';
covlogwlogy = ((logwGrid-meanlogw).*(loglpGrid-meanloglp))*gammaGridInt';

% Productivity thresholds
qReq = [0 0.2 0.4 0.6 0.8 1];
zThresh = getGammaquant(qReq,eta,zbar,distributionType);
zThresh(1)=zGrid(1);
zThresh(end)=zGrid(end);

% Initialize vectors
gQuint = zeros(5,1);
lpQuint = zeros(5,1);
wQuint = zeros(5,1);
logwQuint = zeros(5,1);
nShareQuint = zeros(5,1);

% Compute statistics by decile
NzQuint = 200;
for d=1:5
    zGridQuint = linspace(zThresh(d),zThresh(d+1),NzQuint);
    
    gammaGridQuint = getGammapdf(zGridQuint,eta,zbar,distributionType);
    gammaIntQuint = [ 0.5*(zGridQuint(2)-zGridQuint(1))*gammaGridQuint(1) 0.5*(zGridQuint(3:end)-zGridQuint(1:end-2)).*gammaGridQuint(2:end-1) 0.5*(zGridQuint(end)-zGridQuint(end-1))*gammaGridQuint(end) ];
    gammaIntQuint = gammaIntQuint/sum(gammaIntQuint);
    pGridQuint = getPpdf(zGridQuint,zbar,lambda,chi,mu,eta,b,delta,u,distributionType);
    pIntQuint = [ 0.5*(zGridQuint(2)-zGridQuint(1))*pGridQuint(1) 0.5*(zGridQuint(3:end)-zGridQuint(1:end-2)).*pGridQuint(2:end-1) 0.5*(zGridQuint(end)-zGridQuint(end-1))*pGridQuint(end) ];
    pIntQuint = pIntQuint/sum(pIntQuint);
    
    lpGridQuint = (cons^alpha)*zGridQuint.^(1/(1-alpha))';
    kGridQuint = cons*zGridQuint.^(1/(1-alpha))';
    gGridQuint = interp1(zGrid,gGrid,zGridQuint)';
    wGridQuint = interp1(zGrid,wGrid,zGridQuint)';
    logwGridQuint = interp1(zGrid,log(wGrid),zGridQuint)';

    gQuint(d) = pIntQuint*gGridQuint;
    lpQuint(d) = pIntQuint*lpGridQuint;
    wQuint(d) = pIntQuint*wGridQuint;
    logwQuint(d) = pIntQuint*logwGridQuint;
    nShareQuint(d) = getPcdf(zThresh(d+1),zbar,lambda,chi,mu,eta,b,delta,u,distributionType)-getPcdf(zThresh(d),zbar,lambda,chi,mu,eta,b,delta,u,distributionType);

end

yShareQuint = (nShareQuint.*lpQuint)/sum(nShareQuint.*lpQuint);
nShareQuint = nShareQuint;
wRelQuint = wQuint./sum(wQuint.*nShareQuint);
wRelLpQuint = wQuint./sum(lpQuint.*nShareQuint);
lpRelQuint = lpQuint./sum(lpQuint.*nShareQuint);
lsQuint = wQuint./lpQuint;

% top 1% of firms
% NzTop1 = 200;
% ztop1 = getGammaquant(0.99,eta,zbar);
% zGridTop1 = linspace(ztop1,zGrid(end),NzTop1);
% pGridTop1 = getPpdf(zGridTop1,zbar,lambda,chi,mu,eta,b,delta,u);
% pIntTop1 = [ 0.5*(zGridTop1(2)-zGridTop1(1))*pGridTop1(1) 0.5*(zGridTop1(3:end)-zGridTop1(1:end-2)).*pGridTop1(2:end-1) 0.5*(zGridTop1(end)-zGridTop1(end-1))*pGridTop1(end) ];
% 
% lpGridTop1 = (cons^alpha)*zGridTop1.^(1/(1-alpha))';
% kGridTop1 = cons*zGridTop1.^(1/(1-alpha))';
% gGridTop1 = interp1(zGrid,gGrid,zGridTop1)';
% wGridTop1 = interp1(zGrid,wGrid,zGridTop1)';
%     
end

