function P = getPcdf(z,zbar,lambda,chi,mu,eta,b,delta,u,distributionType)
% compute stationary employment-weighted distribution

% P = (z >= zbar).*( lambda*(1-u) + chi - lambda*u - sqrt( (lambda*(1-u) + chi - lambda*u)^2 - 4*lambda*(1-u)*(chi-lambda*u).*getGammacdf(z,eta,zbar)))./( 2*(1-u)*lambda );

Gamma0zbar = getGammacdf(zbar,eta,0,distributionType);
chiX = chi*Gamma0zbar;
chiS = chi*(1-Gamma0zbar);
muE = mu*(1-Gamma0zbar);
Pa = (1-u)*lambda;
Pb =  -(lambda*(1-u) + chi + delta - lambda*u);
Pc = @(z) (chi+delta-u*lambda)*getGammacdf(z,eta,zbar,distributionType);
discriminant = @(z) Pb.^2 - 4*Pa*Pc(z);
P = (z >= zbar).*( -Pb - sqrt(discriminant(z)))/( 2*Pa );

end

