function p = getPcdf(z,zbar,lambda,chi,mu,eta,b,delta,u,distributionType);
% compute stationary employment-weighted distribution

Gamma0zbar = getGammacdf(zbar,eta,0,distributionType);
chiX = chi*Gamma0zbar;
chiS = chi*(1-Gamma0zbar);
muE = mu*(1-Gamma0zbar);
Pa = (1-u)*lambda;
Pb =  -(lambda*(1-u) + chi + delta - lambda*u);
Pc = @(z) (chi+delta-u*lambda)*getGammacdf(z,eta,zbar,distributionType);;
PcDiff  = @(z) (chi+delta-u*lambda)*getGammapdf(z,eta,zbar,distributionType);;
discriminantDiff = @(z) - 4*Pa*PcDiff(z);
discriminant = @(z) Pb.^2 - 4*Pa*Pc(z);
p = (z >= zbar).*( - 0.5*(discriminant(z).^(-0.5)).*discriminantDiff(z) )/( 2*Pa );


end

